{
  boot = {
    loader = {
      systemd-boot.enable = false;
      efi.canTouchEfiVariables = false;
      efi.efiSysMountPoint = "/boot";
      grub = {
        efiSupport = true;
        efiInstallAsRemovable = true;
        extraEntriesBeforeNixOS = false;
        configurationLimit = 8;
        device = "nodev";
        extraEntries = ''
          menuentry "Windows 10" {
            search --fs-uuid --no-floppy --set=root E00B-A178 
            chainloader ($root)/EFI/Microsoft/Boot/bootmgfw.efi
          }
        '';
      };
    };
    supportedFilesystems = [ "ntfs" ];
  };
}
