{ pkgs, ... }:
{
  fonts.packages = with pkgs; [
    inter
    nerd-fonts.iosevka
    nerd-fonts.symbols-only
  ];
  fonts.fontconfig = {
    defaultFonts = {
      serif = [ "Liberation Serif" ];
      sansSerif = [ "Inter" "SF Pro Display" ];
      monospace = [ "Iosevka Nerd Font" "Symbols Nerd Font" ];
    };
  };
}
